Bug 406351 - 3.25: Foreign key support in DB schema.
3.25: Foreign key support in DB schema.
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Tony Fu
:
Depends On: 420611
Blocks: RHBZ30UpgradeTracker 427052
  Show dependency treegraph
 
Reported: 2007-11-30 11:58 EST by David Lawrence
Modified: 2013-06-24 00:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 02:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 109473 None None None Never

  None (edit)
Description David Lawrence 2007-11-30 11:58:46 EST
Description:
Red Hat has added referential integrity checks to the database schema to ensure against any foreign key violations. Upstream Bugzilla code has implemented some initial support for foreign keys as well.

Function Requirements:
MySQL 5+ redhat/bugs-fk.mysql
Comment 1 Tony Fu 2007-12-18 01:17:59 EST
It is implemented in bugs-fk.mysql file.  I used historical method and the LOC
is 640.
Comment 2 Kevin Baker 2007-12-18 08:36:33 EST
Tony, how do you get 640 lines? I would expect that you only have to add
the FK constraints. That would be around 100LOC, no?
Comment 3 Tony Fu 2007-12-18 20:26:23 EST
I used cloc to calculate the LOC of our existing db schema file, which includes
FK constraints and all talbes definition as well.  For FK constraints only,
100LOC is a reasonable number.

Changing LOC to 100.
Comment 4 Tony Fu 2008-01-10 01:17:01 EST
Added FKs constraints in Bugzilla/DB/Schema.pm file.  Please refer to bug #420611.
Comment 5 Tony Fu 2008-01-24 20:16:25 EST
Submitted a Bugzilla/DB/Schema.pm patch, which included all foreign key
constraints, to upstream for review.
Comment 6 David Lawrence 2008-01-24 22:02:07 EST
Tony please attach the upstream bug link to this bug so we can keep track of it.
Either in the External Bugzilla References section or in the URL text field.

Thanks
Comment 7 Tony Fu 2008-02-11 02:21:11 EST
Get review feedback from upstream.

Update the schema according to the feedback and submitted new patch for upstream
review.
Comment 8 David Lawrence 2008-02-14 00:32:50 EST
Do we already have this in our 3.2 tree? If not we will need a patch for this
bug so hit our first milestone.

Dave
Comment 9 Tony Fu 2008-02-14 01:57:48 EST
(In reply to comment #8)
> Do we already have this in our 3.2 tree? If not we will need a patch for this
> bug so hit our first milestone.
> 
> Dave

It should have been included in Bugzilla/DB/Schema.pm I attached in #420611.


Tony
Comment 10 Tony Fu 2008-02-15 02:24:37 EST
Will create a new bug to track the progress of mergering FKs constraints into
upstream code.

Close this bug.

Note You need to log in before you can comment on or make changes to this bug.